nRF51 SDK: ble_cscs_init_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_cscs_init_t Struct Reference
Cycling Speed and Cadence Service

Cycling Speed and Cadence Service init structure. This contains all options and data needed for initialization of the service. More...

`#include <ble_cscs.h>`

## Data Fields

ble_cscs_evt_handler_t | evt_handler
ble_srv_cccd_security_mode_t | csc_meas_attr_md
ble_srv_cccd_security_mode_t | csc_ctrlpt_attr_md
ble_srv_security_mode_t | csc_feature_attr_md
uint16_t | feature
uint8_t | ctrplt_supported_functions
ble_sc_ctrlpt_evt_handler_t | ctrlpt_evt_handler
ble_sensor_location_t * | list_supported_locations
uint8_t | size_list_supported_locations
ble_srv_error_handler_t | error_handler
ble_sensor_location_t * | sensor_location
ble_srv_cccd_security_mode_t | csc_sensor_loc_attr_md

## Detailed Description

Cycling Speed and Cadence Service init structure. This contains all options and data needed for initialization of the service.

## Field Documentation

ble_srv_cccd_security_mode_t ble_cscs_init_t::csc_ctrlpt_attr_md

Initial security level for cycling speed and cadence control point attribute

ble_srv_security_mode_t ble_cscs_init_t::csc_feature_attr_md

Initial security level for feature attribute

ble_srv_cccd_security_mode_t ble_cscs_init_t::csc_meas_attr_md

Initial security level for cycling speed and cadence measurement attribute

ble_srv_cccd_security_mode_t ble_cscs_init_t::csc_sensor_loc_attr_md

Initial security level for sensor location attribute

ble_sc_ctrlpt_evt_handler_t ble_cscs_init_t::ctrlpt_evt_handler

Event handler

uint8_t ble_cscs_init_t::ctrplt_supported_functions

Supported control point functionnalities see BLE_SRV_SC_CTRLPT_SUPP_FUNC.

ble_srv_error_handler_t ble_cscs_init_t::error_handler

Function to be called in case of an error.

ble_cscs_evt_handler_t ble_cscs_init_t::evt_handler

Event handler to be called for handling events in the Cycling Speed and Cadence Service.

uint16_t ble_cscs_init_t::feature

Initial value for features of sensor Cycling Speed and Cadence Service feature bits.

ble_sensor_location_t* ble_cscs_init_t::list_supported_locations

List of supported sensor locations.

ble_sensor_location_t* ble_cscs_init_t::sensor_location

Initial Sensor Location, if NULL, sensor_location characteristic is not added

uint8_t ble_cscs_init_t::size_list_supported_locations

Number of supported sensor locations in the list.